Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 219875 - [PATCH] media-sound/kradio-20061112-r1 & USE=lirc fails w/ gcc-4.3.0
Summary: [PATCH] media-sound/kradio-20061112-r1 & USE=lirc fails w/ gcc-4.3.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Patrick Kursawe (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-04-30 20:29 UTC by Martin Väth
Modified: 2008-05-08 08:44 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix include for gcc-4.3 (kradio-gcc-4.3.patch,328 bytes, patch)
2008-04-30 20:30 UTC, Martin Väth
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Väth 2008-04-30 20:29:10 UTC
media-sound/kradio-20061112-r1 with USE=lirc fails to compile with gcc-4.3

lircsupport.cpp:60: error: ‘getenv’ was not declared in this scope
lircsupport.cpp:173: error: ‘free’ was not declared in this scope
Comment 1 Martin Väth 2008-04-30 20:30:31 UTC
Created attachment 151467 [details, diff]
Fix include for gcc-4.3
Comment 2 Samuli Suominen gentoo-dev 2008-05-05 19:09:33 UTC
Applied. Patrick, I hope you don't mind -- just going thru all of media-sound for trivial GCC 4.3 failures
Comment 3 Patrick Kursawe (RETIRED) gentoo-dev 2008-05-08 08:44:56 UTC
(In reply to comment #2)
> Applied. Patrick, I hope you don't mind -- just going thru all of media-sound
> for trivial GCC 4.3 failures

Not at all, the opposite is true: Thank you!